Issue 89541 - Close ImageMap editor dialog, the OOo crash.
Summary: Close ImageMap editor dialog, the OOo crash.
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: code (show other issues)
Version: OOo 3.0 Beta
Hardware: PC Windows XP
: P2 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 84405
  Show dependency tree
 
Reported: 2008-05-16 04:11 UTC by liushibo_redflag
Modified: 2009-07-21 07:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description liushibo_redflag 2008-05-16 04:11:49 UTC
Step to reproduce
1)Start a new impress.
2)Edit->ImageMap, pop up ImageMap Editor dialog box, click open icon, open any 
file,click open.Pop up general error dialog box,first close ImageMap editor 
dialog box,next click OK in general error dialog box.
3)the OOo crash.
Comment 1 wolframgarten 2008-05-19 08:09:33 UTC
Reproducible. Workaround: does not crash when closing the general i/o error box
first.
Reassigned.
Comment 2 wolframgarten 2008-05-19 08:20:21 UTC
The ID of the error report is r9b54uc.
Comment 3 clippka 2009-04-21 07:31:32 UTC
Fixed in cws impress171 for OOo 3.2

I had to create an SfxErrorContext with the imap dlg as parent so now the dialog
is locked while the io error is visible.
Comment 4 clippka 2009-06-03 16:23:03 UTC
verified in cws, back to qa
Comment 5 wolframgarten 2009-06-05 09:34:06 UTC
Verified in CWS.
Comment 6 wolframgarten 2009-07-21 07:44:30 UTC
Tested in m52. Closed.